Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Class JettyAxisServer

    java.lang.Object
      org.apache.axis.transport.http.JettyAxisServer

public class JettyAxisServer
extends java.lang.Object

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`JettyAxisServer()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `setPort(int port)` Set the port
`void` | `setResourceBase(java.lang.String dir)` Set the resource base
`void` | `start()` Start the server

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### JettyAxisServer

    public JettyAxisServer()

Method Detail

### setPort

    public void setPort(int port)

  Set the port

  Parameters:
    `port` -

### setResourceBase

    public void setResourceBase(java.lang.String dir)

  Set the resource base

  Parameters:
    `dir` -

### start

    public void start()
               throws java.lang.Exception

  Start the server

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.